<%-- 
*******************************************************************************************
* COPYRIGHT NOTICE:
* Copyright 2006 Center for Technology in Government.
* The Center grants permission to use and modify this software code free of charge provided  
* this copyright notice is included. By using this code you agree to indemnify the Center from 
* any liability that might arise from its use. Selling the code is expressly forbidden.
* ******************************************************************************************

* ******************************************************************************************
* THIS INCLUDE FILE IS CALLED BY ALL THE JSP FILES IN THIS WEBSITE
* AND IT CONTROLS ALL THE WEBSERVER RETRIEVAL OF FOLDERS/FILES
* IT SUPPORTS A DIRECTORY STRUCTURE BASED ON THE MAIN NAVIGATION
* TABS OF THE WEBSITE; IT PROCESSES MUTLIPLE XML FILES WITH JUST A
* FEW XSL FILES GEARED TO LEVELS WITHIN THE WEBSITE; AND IT PASSES
* PARAMETERS FROM THE URL REQUEST QUERY STRING TO THE XSL FILES
* ******************************************************************************************
--%>

<%-- Must specify the jsp tag library -- xtags and make sure it has been installed correctly   --%>
<%@ taglib uri="http://jakarta.apache.org/taglibs/xtags-1.0" prefix="xtags" %>

<%-- 
*******************************************************************************************
* First, get the url string so you can manipulate it as a string 
* and direct the web server to the correct directory and file
* uses getServletPath instead of HTTP_URL because SgetServletPath
* trims off everything after a ? in the url
* Uses path variable to find path to the correct .xml file 
* Uses subsection variable to pass  parameter to the XSL file 
*******************************************************************************************
 --%>
 
 <%@ page import=" java.io.File" %>
<% 
    String path = request.getServletPath() ; 
    File urlpath = new File(path);
    path = urlpath.getName();
    path = path.replaceAll(".jsp","");
%>

<% String subsection = request.getParameter("sub") ;%>


<% 
   if ( path.compareToIgnoreCase("index") == 0 ) 
   {
%>
     <xtags:style  xml="index.xml" xsl="level1.xsl">
         <xtags:param name="name" value="index"/>
         <xtags:param name="extension" value=".jsp"/>
     </xtags:style>
<%
   }
   else 
   { 
       if(subsection == null)
        {
 %>
         <xtags:style  xml="<%= path + "/" + path + ".xml"  %>" xsl="level1.xsl">
         <xtags:param name="name" value="<%= path %>"/>
         <xtags:param name="extension" value=".jsp"/>
          </xtags:style>
<%
        }
       else
        { 
 %>
         <xtags:style  xml="<%= path + "/" + path + ".xml"  %>" xsl="level2.xsl">
         <xtags:param name="name" value="<%= path %>"/>
         <xtags:param name="sub" value="<%= subsection %>"/>
         <xtags:param name="extension" value=".jsp"/>
          </xtags:style>

<%
        }
   }
%>
